Chart-1.8.2: A library for generating 2D Charts and Plots

Copyright | (c) Tim Docker 2006 2014
License | BSD-style (see chart/COPYRIGHT)
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.Chart.Plot.Annotation

Description

Show textual annotations on a chart.

Synopsis

- data PlotAnnotation x y = PlotAnnotation {
  - _plot_annotation_hanchor :: HTextAnchor
  - _plot_annotation_vanchor :: VTextAnchor
  - _plot_annotation_angle :: Double
  - _plot_annotation_style :: FontStyle
  - _plot_annotation_values :: [(x, y, String)]
  }
- plot_annotation_hanchor :: forall x y. Lens' (PlotAnnotation x y) HTextAnchor
- plot_annotation_vanchor :: forall x y. Lens' (PlotAnnotation x y) VTextAnchor
- plot_annotation_angle :: forall x y. Lens' (PlotAnnotation x y) Double
- plot_annotation_style :: forall x y. Lens' (PlotAnnotation x y) FontStyle
- plot_annotation_values :: forall x y x y. Lens (PlotAnnotation x y) (PlotAnnotation x y) [(x, y, String)] [(x, y, String)]

# Documentation

data PlotAnnotation x y Source #

Value for describing a series of text annotations to be placed at arbitrary points on the graph. Annotations can be rotated and styled.

Constructors

PlotAnnotation |

Fields

- _plot_annotation_hanchor :: HTextAnchor
- _plot_annotation_vanchor :: VTextAnchor
- _plot_annotation_angle :: Double

  Angle, in degrees, to rotate the annotation about the anchor point.

- _plot_annotation_style :: FontStyle
- _plot_annotation_values :: [(x, y, String)]

Instances

ToPlot PlotAnnotation Source # |
Methods toPlot :: PlotAnnotation x y -> Plot x y Source #
Default (PlotAnnotation x y) Source # |
Methods def :: PlotAnnotation x y #

plot_annotation_hanchor :: forall x y. Lens' (PlotAnnotation x y) HTextAnchor Source #

plot_annotation_vanchor :: forall x y. Lens' (PlotAnnotation x y) VTextAnchor Source #

plot_annotation_angle :: forall x y. Lens' (PlotAnnotation x y) Double Source #

plot_annotation_style :: forall x y. Lens' (PlotAnnotation x y) FontStyle Source #

plot_annotation_values :: forall x y x y. Lens (PlotAnnotation x y) (PlotAnnotation x y) [(x, y, String)] [(x, y, String)] Source #